# frozen_string_literal: true

lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require_relative "lib/kcache/version"

Gem::Specification.new do |spec|
  spec.name          = "akcache"
  spec.version       = Kcache::VERSION
  spec.authors       = ["yusheng"]
  spec.email         = ["1433233832@qq.com"]

  spec.summary       = "a cache tool"
  spec.description   = "a cache tool that can reduce xcode archive time"
  spec.homepage      = "https://github.com/yusheng00"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = "kcache"
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
   spec.add_dependency "xcodeproj", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
